aboutsummaryrefslogtreecommitdiffstats
path: root/community/chromium/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/chromium/APKBUILD')
-rw-r--r--community/chromium/APKBUILD910
1 files changed, 557 insertions, 353 deletions
diff --git a/community/chromium/APKBUILD b/community/chromium/APKBUILD
index 6c9254b9dbd..66d0823a3a5 100644
--- a/community/chromium/APKBUILD
+++ b/community/chromium/APKBUILD
@@ -1,49 +1,77 @@
# Contributor: Carlo Landmeter <clandmeter@alpinelinux.org>
-# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Contributor: Elly Fong-Jones <elly@elly.town>
+# Maintainer: lauren n. liberda <lauren@selfisekai.rocks>
pkgname=chromium
-pkgver=93.0.4577.82
-pkgrel=2
+pkgver=124.0.6367.60
+pkgrel=0
+_copium_tag=124.4
+# https://source.chromium.org/chromium/chromium/src/+/main:third_party/test_fonts/test_fonts.tar.gz.sha1
+# (for the given version, when it changes)
+_testfonts=336e775eec536b2d785cc80eff6ac39051931286
pkgdesc="Chromium web browser"
url="https://www.chromium.org/Home"
-arch="aarch64 x86_64" # x86: ./v8_context_snapshot_generator segfaults
+# armv7: https://github.com/google/ruy/issues/352
+arch="aarch64 x86_64"
license="BSD-3-Clause"
+# explicit depends for --headless
+# XXX: eudev-libs replaced by so:libudev.so.1 to allow installation with libudev-zero
+# take care if libudev.so ever updates somajor..
+depends="
+ font-opensans
+ gtk+3.0
+ icu-data-full
+ mesa-dri-gallium
+ musl>=1.2.3_git20230322-r0
+ so:libudev.so.1
+ xdg-utils
+ "
makedepends="
alsa-lib-dev
bash
- bison flex
+ bison
bsd-compat-headers
+ brotli-dev
bzip2-dev
cairo-dev
clang-dev
+ compiler-rt
+ crc32c-dev
cups-dev
curl-dev
+ dav1d-dev
dbus-glib-dev
+ double-conversion-dev
elfutils
elfutils-dev
eudev-dev
ffmpeg-dev
findutils
flac-dev
+ flatbuffers-dev
+ flex
freetype-dev
- gnutls-dev
+ gn
gperf
gtk+3.0-dev
gzip
harfbuzz-dev
+ highway-dev
hunspell-dev
- hwids-usb
+ hwdata-dev
jpeg-dev
jsoncpp-dev
krb5-dev
lcms2-dev
libbsd-dev
libcap-dev
+ libevdev-dev
libevent-dev
libexif-dev
+ libffi-dev
libgcrypt-dev
- libgnome-keyring-dev
libjpeg-turbo-dev
- libpng-dev
+ libsecret-dev
libusb-dev
libva-dev
libwebp-dev
@@ -56,81 +84,246 @@ makedepends="
libxslt-dev
linux-headers
lld
+ llvm
mesa-dev
minizip-dev
- ninja
- nodejs
+ nodejs-current
nss-dev
- java-jdk
+ openh264-dev
opus-dev
pciutils-dev
perl
+ pipewire-dev
+ pulseaudio-dev
+ py3-setuptools
python3
+ qt5-qtbase-dev
re2-dev
+ rust
+ samurai
snappy-dev
speex-dev
+ spirv-tools-dev
sqlite-dev
+ vulkan-headers
+ woff2-dev
xcb-proto
- xdg-utils
zlib-dev
- py3-setuptools
+ zstd-dev
+ "
+checkdepends="py3-six"
+subpackages="
+ $pkgname-qt5
+ $pkgname-chromedriver
+ $pkgname-doc
+ $pkgname-lang
+ $pkgname-swiftshader
"
-# explicit depends for --headless
-depends="xdg-utils eudev-libs ttf-opensans"
-options="suid !check" # broken
-subpackages="$pkgname-chromedriver $pkgname-lang $pkgname-swiftshader $pkgname-angle"
source="https://commondatastorage.googleapis.com/chromium-browser-official/chromium-$pkgver.tar.xz
- test_fonts-cd96fc55dc243f6c6f4cb63ad117cad6cd48dceb.tar.gz::https://chromium-fonts.storage.googleapis.com/cd96fc55dc243f6c6f4cb63ad117cad6cd48dceb
+ https://commondatastorage.googleapis.com/chromium-browser-official/chromium-$pkgver-testdata.tar.xz
+ test_fonts-$_testfonts.tar.gz::https://chromium-fonts.storage.googleapis.com/$_testfonts
+ copium-$_copium_tag.tar.gz::https://codeberg.org/selfisekai/copium/archive/$_copium_tag.tar.gz
chromium-launcher.sh
chromium.conf
- chromium.desktop
google-api.keys
- default-pthread-stacksize.patch
- musl-fixes.patch
- musl-fixes-breakpad.patch
- musl-hacks.patch
- musl-libc++.patch
+ chromium-revert-drop-of-system-java.patch
+ compiler.patch
+ disable-dns_config_service.patch
+ disable-failing-tests.patch
+ fc-cache-version.patch
+ fix-missing-cstdint-include-musl.patch
+ fix-opus.patch
+ fstatat-32bit.patch
+ gdbinit.patch
+ generic-sensor-include.patch
+ import-version.patch
+ libstdc++13.patch
+ mman.patch
+ musl-auxv.patch
musl-sandbox.patch
+ musl-tid-caching.patch
+ musl-v8-monotonic-pthread-cont_timedwait.patch
no-execinfo.patch
no-mallinfo.patch
- resolver.patch
- swiftshader.patch
-
- chromium-use-alpine-target.patch
- media-base.patch
- musl-crashpad.patch
- musl-v8-monotonic-pthread-cont_timedwait.patch
- nasm.patch
-
- gcc-fno-delete-null-pointer-checks.patch
- gcc-arm.patch
- aarch64-fixes.patch
- elf-arm.patch
-
- remove-unsupported-attribute.patch
- fix-missing-includes.patch
- revert-2778794.patch
- fix-narrowing-cast.patch
- use-deprecated-ffmpeg-api.patch
- clang-no-format.patch
-
- disable-floc-component.patch
-
- fix-unittests-base.patch
- fix-unittests-sandbox.patch
- fix-unittests-net.patch
- fix-unittests-net-py2tests.patch
- scoped-file.patch
- strip-binary.patch
- gdbinit.patch
- quiche-arena-size.patch
-
- chromium-harfbuzz-3.0.0.patch
- skia-harfbuzz-3.0.0.patch
+ no-res-ninit-nclose.patch
+ no-sandbox-settls.patch
+ partalloc-no-tagging-arm64.patch
+ perfetto-libstdc++.patch
+ pvalloc.patch
+ random-fixes.patch
+ quiche-array.patch
+ system-zstd.patch
+ temp-failure-retry.patch
+ yes-musl.patch
"
+_copium_patches="
+ cr124-disable-libstdcpp-assertions.patch
+ cr124-gcc-readablestream.patch
+ cr124-iwyu-atomic-crime.patch
+ cr124-iwyu-bitset-tempora.patch
+ cr124-iwyu-cstdint-in-path_util.patch
+ cr124-iwyu-cstdint-mhtml-gen-result.patch
+ cr124-iwyu-cstdint-webrtc-reorder_optimizer.patch
+ cr124-iwyu-dawncontextprovider.patch
+ cr124-iwyu-include-cstdint-in-autofill.patch
+ cr124-iwyu-memory-in-gpu_init.patch
+ cr124-iwyu-optional-1party-sets.patch
+ cr124-iwyu-optional-base-span_reader.patch
+ cr124-iwyu-optional-gpu-adapter.patch
+ cr124-iwyu-sys-select-dawn-terminal.patch
+ cr124-iwyu-ukm-bitset.patch
+ cr124-libstdc-replace-std-powf-with-std-pow.patch
+ cr124-libvpx-disable-sve-on-gcc.patch
+ cr124-libwebp-shim-sharpyuv.patch
+ cr124-openh264-unbundle-gcc.patch
+ cr124-partition_allocator-xclang.patch
+ cr124-re2-unbundle-googletest-config.patch
+ cr124-stdcpp-blink-fragmentdataiterator.patch
+ cr124-webui-preload-manager-default-constructor.patch
+ "
+# chrome-sandbox can use suid when user namespaces aren't available, but uses only userns and drops privileges normally
+options="suid"
+
+# backwards compat (merged into primary)
+provides="$pkgname-angle=$pkgver-r$pkgrel"
+
+case "$CARCH" in
+riscv64)
+ ;;
+*)
+ # dbg outside riscv only
+ subpackages="$pkgname-dbg $subpackages"
+ ;;
+esac
+
+case "$CARCH" in
+x86_64)
+ ;;
+*)
+ # 32-bit fails a bunch of tests for various size-related reasons
+ # aarch64 gets timeout related failures due to builder setup, no easy way to
+ # raise timeouts
+ options="$options !check"
+ ;;
+esac
# secfixes:
+# 116.0.5845.187-r0:
+# - CVE-2023-4863
+# 103.0.5060.134-r0:
+# - CVE-2022-2163
+# - CVE-2022-2477
+# - CVE-2022-2478
+# - CVE-2022-2479
+# - CVE-2022-2480
+# - CVE-2022-2481
+# 103.0.5060.114-r0:
+# - CVE-2022-2294
+# - CVE-2022-2295
+# - CVE-2022-2296
+# 103.0.5060.53-r0:
+# - CVE-2022-2156
+# - CVE-2022-2157
+# - CVE-2022-2158
+# - CVE-2022-2160
+# - CVE-2022-2161
+# - CVE-2022-2162
+# - CVE-2022-2163
+# - CVE-2022-2164
+# - CVE-2022-2165
+# 102.0.5005.61-r0:
+# - CVE-2022-1853
+# - CVE-2022-1854
+# - CVE-2022-1855
+# - CVE-2022-1856
+# - CVE-2022-1857
+# - CVE-2022-1858
+# - CVE-2022-1859
+# - CVE-2022-1860
+# - CVE-2022-1861
+# - CVE-2022-1862
+# - CVE-2022-1863
+# - CVE-2022-1864
+# - CVE-2022-1865
+# - CVE-2022-1866
+# - CVE-2022-1867
+# - CVE-2022-1868
+# - CVE-2022-1869
+# - CVE-2022-1870
+# - CVE-2022-1871
+# - CVE-2022-1872
+# - CVE-2022-1873
+# - CVE-2022-1874
+# - CVE-2022-1875
+# - CVE-2022-1876
+# 101.0.4951.64-r0:
+# - CVE-2022-1633
+# - CVE-2022-1634
+# - CVE-2022-1635
+# - CVE-2022-1636
+# - CVE-2022-1637
+# - CVE-2022-1638
+# - CVE-2022-1639
+# - CVE-2022-1640
+# - CVE-2022-1641
+# 101.0.4951.54-r0:
+# - CVE-2022-1477
+# - CVE-2022-1478
+# - CVE-2022-1479
+# - CVE-2022-1481
+# - CVE-2022-1482
+# - CVE-2022-1483
+# - CVE-2022-1484
+# - CVE-2022-1485
+# - CVE-2022-1486
+# - CVE-2022-1487
+# - CVE-2022-1488
+# - CVE-2022-1489
+# - CVE-2022-1490
+# - CVE-2022-1491
+# - CVE-2022-1492
+# - CVE-2022-1493
+# - CVE-2022-1494
+# - CVE-2022-1495
+# - CVE-2022-1496
+# - CVE-2022-1497
+# - CVE-2022-1498
+# - CVE-2022-1499
+# - CVE-2022-1500
+# - CVE-2022-1501
+# 100.0.4896.127-r0:
+# - CVE-2022-1364
+# 99.0.4844.84-r0:
+# - CVE-2022-1096
+# 98.0.4758.102-r0:
+# - CVE-2022-0452
+# - CVE-2022-0453
+# - CVE-2022-0454
+# - CVE-2022-0455
+# - CVE-2022-0456
+# - CVE-2022-0457
+# - CVE-2022-0458
+# - CVE-2022-0459
+# - CVE-2022-0460
+# - CVE-2022-0461
+# - CVE-2022-0462
+# - CVE-2022-0463
+# - CVE-2022-0464
+# - CVE-2022-0465
+# - CVE-2022-0466
+# - CVE-2022-0467
+# - CVE-2022-0468
+# - CVE-2022-0469
+# - CVE-2022-0470
+# - CVE-2022-0603
+# - CVE-2022-0604
+# - CVE-2022-0605
+# - CVE-2022-0606
+# - CVE-2022-0607
+# - CVE-2022-0608
+# - CVE-2022-0609
+# - CVE-2022-0610
# 93.0.4577.82-r0:
# - CVE-2021-30625
# - CVE-2021-30626
@@ -323,27 +516,29 @@ source="https://commondatastorage.googleapis.com/chromium-browser-official/chrom
# 72.0.3626.121-r0:
# - CVE-2019-5786
-if [ -n "$CHECK" ]; then
- options="suid"
-fi
-
-if [ -n "$DEBUG" ]; then
- _buildtype=Debug
- _is_debug=true
- _symbol_level=1
- _is_component_build=true
-else
- _buildtype=Release
- _is_debug=false
- _symbol_level=0
- _is_component_build=false
-fi
+upstream_version() {
+ curl --silent https://omahaproxy.appspot.com/all \
+ | awk -F, '$1 == "linux" && $2 == "stable" {print $3}'
+}
prepare() {
- patch_args="-p0"
default_prepare
- cd "$srcdir"/"chromium-$pkgver"
+ for i in $_copium_patches; do
+ case "$i" in
+ *.patch)
+ msg "${i%::*}"
+ patch -p1 -i "$srcdir/copium/$i" || failed="$failed $i"
+ ;;
+ esac
+ done
+ if [ ! -z "$failed" ]; then
+ error "The following patches failed to apply:"
+ for i in $failed; do
+ printf " %s\n" "$i" >&2
+ done
+ exit 1
+ fi
mv ../test_fonts/ ./third_party/test_fonts/
@@ -357,32 +552,52 @@ prepare() {
ln -s /usr/bin/node third_party/node/linux/node-linux-x64/bin/
# reusable system library settings
+ # libavif - https://github.com/AOMediaCodec/libavif/commit/50a541469c98009016af8dcc9f83a1be79f3a7d9
+ # libaom - https://aomedia.googlesource.com/aom/+/706ee36dcc82%5E%21/
+ # but watch this space: https://aomedia-review.googlesource.com/c/aom/+/188606
local use_system="
+ brotli
+ crc32c
+ dav1d
+ double-conversion
ffmpeg
flac
+ flatbuffers
fontconfig
freetype
harfbuzz-ng
+ highway
+ icu
+ jsoncpp
libdrm
libevent
libjpeg
- libpng
+ libsecret
+ libusb
libwebp
libxml
libxslt
+ openh264
opus
re2
snappy
+ swiftshader-SPIRV-Headers
+ swiftshader-SPIRV-Tools
+ woff2
+ zlib
+ zstd
"
- for _lib in $use_system libjpeg_turbo; do
+
+ for _lib in $use_system libc++ libc++abi libjpeg_turbo swiftshader/third_party/SPIRV-Headers swiftshader/third_party/SPIRV-Tools; do
msg "Removing buildscripts for system provided $_lib"
- find -type f -path "*third_party/$_lib/*" \
+ find . -type f -path "*third_party/$_lib/*" \
\! -path "*third_party/$_lib/chromium/*" \
\! -path "*third_party/$_lib/google/*" \
\! -path './base/third_party/icu/*' \
\! -path './third_party/libxml/*' \
\! -path './third_party/pdfium/third_party/freetype/include/pstables.h' \
\! -path './third_party/harfbuzz-ng/utils/hb_scoped.h' \
+ \! -path './third_party/crashpad/crashpad/third_party/zlib/zlib_crashpad.h' \
\! -regex '.*\.\(gn\|gni\|isolate\|py\)' \
-delete
done
@@ -392,355 +607,344 @@ prepare() {
$use_system
python3 third_party/libaddressinput/chromium/tools/update-strings.py
-}
+ # prevent annoying errors when regenerating gni
+ sed -i 's,^update_readme$,#update_readme,' \
+ third_party/libvpx/generate_gni.sh
+
+ # allow system dependencies in "official builds"
+ sed -i 's/OFFICIAL_BUILD/GOOGLE_CHROME_BUILD/' \
+ tools/generate_shim_headers/generate_shim_headers.py
-_gn_flags() {
- echo $*
+ # https://crbug.com/893950
+ sed -i -e 's/\<xmlMalloc\>/malloc/' -e 's/\<xmlFree\>/free/' \
+ third_party/blink/renderer/core/xml/*.cc \
+ third_party/blink/renderer/core/xml/parser/xml_document_parser.cc \
+ third_party/libxml/chromium/*.cc \
+ third_party/maldoca/src/maldoca/ole/oss_utils.h
+
+ _configure
}
-build() {
+_configure() {
+ cd "$builddir"
+
##############################################################
# Please dont use these keys outside of Alpine Linux project #
# You can create your own at: #
# http://www.chromium.org/developers/how-tos/api-keys #
##############################################################
+ local _google_api_key _google_default_client_id _google_default_client_secret
eval "$(base64 -d < $srcdir/google-api.keys)"
- msg "Bootstrapping GN"
+ export CFLAGS="${CFLAGS/-g/} -O2 -Wno-builtin-macro-redefined -Wno-deprecated-declarations -Wno-shift-count-overflow -Wno-ignored-attributes"
+ export CXXFLAGS="${CXXFLAGS/-g/} -O2 -Wno-builtin-macro-redefined -Wno-deprecated-declarations -Wno-invalid-constexpr"
+ export CPPFLAGS="${CPPFLAGS/-g/} -D__DATE__= -D__TIME__= -D__TIMESTAMP__="
-# AR="ar" CC="${CC:-gcc}" CXX="${CXX:-g++}" LD="${CXX:-g++}" \
- CC="${CC:-clang}" CXX="${CXX:-clang++}" LD="${CXX:-clang++}" \
- python3 tools/gn/bootstrap/bootstrap.py -s -v --skip-generate-buildfiles
+ # breaks chromium
+ export CXXFLAGS="${CXXFLAGS/-D_GLIBCXX_ASSERTIONS=1}"
+ export CXXFLAGS="${CXXFLAGS/-fstack-clash-protection}"
+ export CFLAGS="${CFLAGS/-fstack-clash-protection}"
+
+ export AR="llvm-ar"
+ export CC="gcc"
+ export CXX="g++"
+ export NM="llvm-nm"
msg "Configuring build"
- local _c _ca
- _c=$(_gn_flags \
- blink_symbol_level=0 \
- clang_use_chrome_plugins=false \
- custom_toolchain=\"//build/toolchain/linux/unbundle:default\" \
- enable_hangout_services_extension=true \
- enable_nacl_nonsfi=false \
- enable_nacl=false \
- enable_precompiled_headers=false \
- fatal_linker_warnings=false \
- ffmpeg_branding=\"Chrome\" \
- fieldtrial_testing_like_official_build=true \
- gold_path=\"/usr/bin/ld.gold\" \
- google_api_key=\"$_google_api_key\" \
- google_default_client_id=\"$_google_default_client_id\" \
- google_default_client_secret=\"$_google_default_client_secret\" \
- host_toolchain=\"//build/toolchain/linux/unbundle:default\" \
- icu_use_data_file=true \
- is_clang=true \
- is_component_build=$_is_component_build \
- is_debug=$_is_debug \
- proprietary_codecs=true \
- symbol_level=$_symbol_level \
- treat_warnings_as_errors=false \
- use_allocator_shim=false \
- use_allocator=\"none\" \
- use_cups=true \
- use_custom_libcxx=false \
- use_gnome_keyring=false \
- use_gold=false \
- use_lld=true \
- use_pulseaudio=false \
- use_sysroot=false \
- use_system_harfbuzz=true \
- use_system_freetype=true \
- use_system_harfbuzz=true \
- use_system_libdrm=true \
- use_system_libjpeg=true \
- use_system_libpng=true \
- use_system_lcms2=true \
- use_system_zlib=true \
- build_with_tflite_lib=false \
- enable_vr=false \
- )
-
- case $CARCH in
- x86*|aarch64) _ca="use_vaapi=true" ;;
- *) _ca="concurrent_links=1" ;;
+ # this should be at 0 for -dbg too. change it for local debugging only
+ local symbol_level=0
+
+ case "$CARCH" in
+ riscv64)
+ # no vaapi on riscv support
+ local vaapi=false
+ ;;
+ *)
+ local vaapi=true
+ ;;
+ esac
+
+ case "$CARCH" in
+ armv7)
+ local maglev=false
+ ;;
+ *)
+ local maglev=true
+ ;;
esac
- AR="ar" CC="clang" CXX="clang++" LD="clang++" NM=/usr/bin/nm \
- out/Release/gn gen out/$_buildtype --args="$_c $_ca"
+ local clang_ver="$(clang -dumpversion)"
- # Make xcbgen available to ui/gfx/x/gen_xproto.py running under Python 2
- ln -sf /usr/lib/python3.*/site-packages/xcbgen .
- export PYTHONPATH="$PWD"
+ case "$USE_CCACHE" in
+ 1)
+ local cc_wrapper="ccache"
+ ;;
+ *)
+ local cc_wrapper=""
+ ;;
+ esac
- msg "Ninja turtles GO!"
+ # shellcheck disable=2089
+ local gn_config="
+ blink_enable_generated_code_formatting=false
+ cc_wrapper=\"$cc_wrapper\"
+ chrome_pgo_phase=0
+ clang_base_path=\"/usr\"
+ clang_use_chrome_plugins=false
+ clang_version=\"${clang_ver%%.*}\"
+ custom_toolchain=\"//build/toolchain/linux/unbundle:default\"
+ disable_fieldtrial_testing_config=true
+ enable_hangout_services_extension=true
+ enable_nacl=false
+ enable_nocompile_tests=false
+ enable_stripping=false
+ enable_rust=true
+ enable_vr=false
+ fatal_linker_warnings=false
+ ffmpeg_branding=\"Chrome\"
+ google_api_key=\"$_google_api_key\"
+ google_default_client_id=\"$_google_default_client_id\"
+ google_default_client_secret=\"$_google_default_client_secret\"
+ host_toolchain=\"//build/toolchain/linux/unbundle:default\"
+ icu_use_data_file=false
+ is_cfi=false
+ is_clang=false
+ is_component_ffmpeg=true
+ is_debug=false
+ is_official_build=true
+ link_pulseaudio=true
+ proprietary_codecs=true
+ regenerate_x11_protos=true
+ rtc_link_pipewire=true
+ rtc_use_pipewire=true
+ rustc_version=\"yes\"
+ rust_sysroot_absolute=\"/usr\"
+ symbol_level=$symbol_level
+ treat_warnings_as_errors=false
+ use_custom_libcxx=false
+ use_lld=true
+ use_pulseaudio=true
+ use_safe_libstdcxx=false
+ use_system_libffi=true
+ use_sysroot=false
+ use_thin_lto=false
+ use_vaapi=$vaapi
+ v8_enable_maglev=$maglev
+ "
- # build mksnapshot
- ninja -C out/$_buildtype mksnapshot
- ninja -C out/$_buildtype v8_context_snapshot_generator
+ # shellcheck disable=2090,2116
+ gn gen out/bld --args="$(echo $gn_config)"
+}
- if [ "$CARCH" = "x86" ]; then
- # x86 only - dependency issues compiling obj/chrome/browser/devtools/devtools/cast_handler.o
- ninja -C out/$_buildtype obj/chrome/common/media_router/mojom/media_router__generator.stamp
- fi
+build() {
+ msg "Ninja turtles GO!"
# final link needs lots of file descriptors
- ulimit -n 2048
-
- # finish rest of the build
- ninja -C out/$_buildtype chrome chrome_sandbox chromedriver
-
- if [ -n "$CHECK" ]; then
- ninja -C out/$_buildtype \
- base_unittests \
- base_util_unittests \
- sandbox_linux_unittests \
- chromedriver_unittests \
- crypto_unittests \
- skia_unittests \
- blink_common_unittests \
- ozone_unittests \
- ozone_x11_unittests \
- ozone_gl_unittests \
- absl_hardening_tests \
- # angle_unittests \
- blink_heap_unittests \
- # blink_platform_unittests \
- boringssl_crypto_tests \
- boringssl_ssl_tests \
- cast_unittests \
- capture_unittests \
- # components_browsertests \
- # components_unittests \
- # content_browsertests \
- # content_unittests \
- # crashpad_tests \
- events_unittests \
- gcm_unit_tests \
- gin_unittests \
- google_apis_unittests \
- gpu_unittests \
- gwp_asan_unittests \
- ipc_tests \
- jingle_unittests \
- latency_unittests \
- libjingle_xmpp_unittests \
- liburlpattern_unittests \
- media_blink_unittests \
- media_unittests \
- midi_unittests \
- mojo_unittests \
- net_unittests \
- # cc_unittests \
- # blink_unittests \
- perfetto_unittests \
- # services_unittests \
- shell_dialogs_unittests \
- sql_unittests \
- storage_unittests \
- ui_base_unittests \
- ui_touch_selection_unittests \
- url_unittests \
- # webkit_unit_tests \
- wtf_unittests \
- zlib_unittests
- fi
+ ulimit -n 4096
+
+ # moc and friends not in path by default
+ export PATH="$PATH:/usr/lib/qt5/bin"
+
+ # ~1 GB per concurrent job is not enough with gcc
+ _njobs="${NJOBS:-"$(python3 -c 'import os; print(max((os.cpu_count() - (10 if os.uname().machine == "aarch64" else 8), 1)))')"}"
+
+ # shellcheck disable=2046
+ ninja -C out/bld -j$_njobs \
+ chrome \
+ chrome_sandbox \
+ chromedriver.unstripped \
+ chrome_crashpad_handler \
+ $(want_check && echo base_unittests)
+
+}
+
+check_base_unittests() {
+ # TODO: fix these tests, hopefully
+ # https://issues.chromium.org/issues/40939315
+ broken="MessagePumpLibeventTest.NestedNotification*"
+ broken="$broken:AlternateTestParams/PartitionAllocTest.SchedulerLoopQuarantine"
+ broken="$broken:ClampTest.Death"
+ broken="$broken:OptionalTest.DereferencingNoValueCrashes"
+ broken="$broken:RawPtrTest.TrivialRelocability"
+ broken="$broken:SafeNumerics.IntMaxOperations"
+ broken="$broken:StringPieceTest.InvalidLengthDeath"
+ broken="$broken:StringPieceTest.OutOfBoundsDeath"
+ # test-launcher-bot-mode enables parallelism and uncolored output
+ ./out/bld/base_unittests --test-launcher-bot-mode --gtest_filter="-$broken"
}
check() {
- out/$_buildtype/base_unittests
- out/$_buildtype/base_util_unittests
- out/$_buildtype/sandbox_linux_unittests # broken + does not compile
- out/$_buildtype/chromedriver_unittests
- out/$_buildtype/crypto_unittests
- out/$_buildtype/skia_unittests
- out/$_buildtype/ozone_unittests
- out/$_buildtype/ozone_x11_unittests # ?
- out/$_buildtype/ozone_gl_unittests # broken
- out/$_buildtype/absl_hardening_tests
- # out/$_buildtype/angle_unittests # broken / does not compile
- out/$_buildtype/blink_common_unittests
- out/$_buildtype/blink_heap_unittests
- # out/$_buildtype/blink_platform_unittests # broken / does not compile
- out/$_buildtype/boringssl_crypto_tests
- out/$_buildtype/boringssl_ssl_tests
- out/$_buildtype/cast_unittests
- out/$_buildtype/capture_unittests --gtest_filter=-*UsingRealWebcam* # broken
- # out/$_buildtype/components_browsertests # broken / does not compile
- # out/$_buildtype/components_unittests # broken / does not compile
- # out/$_buildtype/content_browsertests # broken / does not compile
- # out/$_buildtype/content_unittests # broken / does not compile
- # out/$_buildtype/crashpad_tests # broken / does not compile
- out/$_buildtype/events_unittests
- out/$_buildtype/gcm_unit_tests
- out/$_buildtype/gin_unittests # ?
- out/$_buildtype/google_apis_unittests
- out/$_buildtype/gpu_unittests
- out/$_buildtype/gwp_asan_unittests # broken / required?
- out/$_buildtype/ipc_tests
- out/$_buildtype/jingle_unittests
- out/$_buildtype/latency_unittests
- out/$_buildtype/libjingle_xmpp_unittests
- out/$_buildtype/liburlpattern_unittests
- out/$_buildtype/media_blink_unittests # broken
- out/$_buildtype/media_unittests # broken
- out/$_buildtype/midi_unittests
- out/$_buildtype/mojo_unittests
- out/$_buildtype/net_unittests # broken
- # out/$_buildtype/cc_unittests # broken / does not compile
- # out/$_buildtype/blink_unittests # broken / does not compile
- out/$_buildtype/perfetto_unittests # ?
- # out/$_buildtype/services_unittests # broken / does not compile
- out/$_buildtype/shell_dialogs_unittests
- out/$_buildtype/sql_unittests
- out/$_buildtype/storage_unittests
- out/$_buildtype/ui_base_unittests # ok
- out/$_buildtype/ui_touch_selection_unittests
- out/$_buildtype/url_unittests
- # out/$_buildtype/webkit_unit_tests # broken / does not compile
- out/$_buildtype/wtf_unittests
- out/$_buildtype/zlib_unittests
+ # vpython3 execs system python3 with this set
+ export VPYTHON_BYPASS="manually managed python not supported by chrome operations"
+ # for vpython3 in cwd
+ export PATH="$PATH:$PWD/third_party/depot_tools"
+
+ check_base_unittests
+
}
package() {
- cd "$builddir"/out/$_buildtype
+ cd ./out/bld
+
+ mkdir -p "$pkgdir"/usr/bin
# binaries
- install -Dm755 chrome "$pkgdir"/usr/lib/$pkgname/chrome
+ install -Dm755 chrome "$pkgdir"/usr/lib/$pkgname/chromium
+ # backward compat symlink
+ ln -sfv chromium "$pkgdir"/usr/lib/$pkgname/chrome
install -Dm4755 chrome_sandbox "$pkgdir"/usr/lib/$pkgname/chrome-sandbox
- install -Dm755 crashpad_handler "$pkgdir"/usr/lib/$pkgname/crashpad_handler
+ install -Dm755 chrome_crashpad_handler -t "$pkgdir"/usr/lib/$pkgname/
+
+ # qt5
+ install -Dm755 libqt5_shim.so -t "$pkgdir"/usr/lib/$pkgname/
+
+ # chromedriver
+ install -Dm755 chromedriver.unstripped "$pkgdir"/usr/lib/$pkgname/chromedriver
+ ln -sfv ../lib/$pkgname/chromedriver "$pkgdir"/usr/bin/chromedriver
# resources
- install -Dm644 snapshot_blob.bin "$pkgdir"/usr/lib/$pkgname/
- install -Dm644 v8_context_snapshot.bin "$pkgdir"/usr/lib/$pkgname/
+ install -Dm644 snapshot_blob.bin -t "$pkgdir"/usr/lib/$pkgname/
+ install -Dm644 v8_context_snapshot.bin -t "$pkgdir"/usr/lib/$pkgname/
+ if [ -f icudtl.dat ]; then
+ install -Dm644 icudtl.dat -t "$pkgdir"/usr/lib/$pkgname/
+ fi
- install -m644 icudtl.dat "$pkgdir"/usr/lib/$pkgname/icudtl.dat
+ install -Dm755 xdg-mime -t "$pkgdir"/usr/lib/$pkgname/
+ install -Dm755 xdg-settings -t "$pkgdir"/usr/lib/$pkgname/
- install -Dm755 xdg-mime "$pkgdir"/usr/lib/$pkgname/xdg-mime
- install -Dm755 xdg-settings "$pkgdir"/usr/lib/$pkgname/xdg-settings
+ # Vulkan
+ install -Dm755 libvulkan.so.1 -t "$pkgdir"/usr/lib/$pkgname/
- local pak
- for pak in *.pak; do
- install -Dm644 $pak "$pkgdir"/usr/lib/$pkgname/$pak
- done
+ # Angle
+ install -Dm755 libEGL.so -t "$pkgdir"/usr/lib/$pkgname/
+ install -Dm755 libGLESv2.so -t "$pkgdir"/usr/lib/$pkgname/
install -Dm755 "$srcdir"/chromium-launcher.sh \
- "$pkgdir"/usr/lib/$pkgname/chromium-launcher.sh
+ -t "$pkgdir"/usr/lib/$pkgname/
cp -a MEIPreload "$pkgdir"/usr/lib/$pkgname/
- # Default to en-us and provide everything else through the chromium-lang package
- install -Dm644 locales/en-US.pak "$pkgdir"/usr/lib/$pkgname/locales/en-US.pak
-
# It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- mkdir -p "$pkgdir"/usr/bin
- ln -sf /usr/lib/$pkgname/chromium-launcher.sh "$pkgdir"/usr/bin/chromium-browser
+ # xdg-utils expect it; bug https://bugs.gentoo.org/355517
+ ln -sfv ../lib/$pkgname/chromium-launcher.sh "$pkgdir"/usr/bin/chromium-browser
+ ln -sfv chromium-browser "$pkgdir"/usr/bin/chromium
install -Dm644 "$srcdir"/chromium.conf \
- "$pkgdir"/etc/chromium/chromium.conf
+ -t "$pkgdir"/etc/chromium/
- install -Dm644 "$srcdir"/chromium.desktop \
- "$pkgdir"/usr/share/applications/chromium.desktop
+ for pak in locales/*.pak *.pak; do
+ install -Dm644 "$pak" "$pkgdir"/usr/lib/$pkgname/"$pak"
+ done
+
+ install -Dm755 libvk_swiftshader.so \
+ -t "$pkgdir"/usr/lib/$pkgname/
+ install -Dm755 vk_swiftshader_icd.json \
+ -t "$pkgdir"/usr/lib/$pkgname/
cd "$builddir"
+
for size in 24 48 64 128 256; do
install -Dm644 "chrome/app/theme/chromium/product_logo_$size.png" \
- "$pkgdir/usr/share/icons/hicolor/"$size"x"$size"/apps/chromium.png"
+ "$pkgdir/usr/share/icons/hicolor/${size}x$size/apps/chromium.png"
done
for size in 16 32; do
install -Dm644 "chrome/app/theme/default_100_percent/chromium/product_logo_$size.png" \
- "$pkgdir/usr/share/icons/hicolor/"$size"x"$size"/apps/chromium.png"
+ "$pkgdir/usr/share/icons/hicolor/${size}x$size/apps/chromium.png"
done
+
+ sed -i \
+ -e 's/@@MENUNAME@@/Chromium/g' \
+ -e 's/@@PACKAGE@@/chromium/g' \
+ -e 's/@@USR_BIN_SYMLINK_NAME@@/chromium-browser/g' \
+ chrome/app/resources/manpage.1.in \
+ chrome/installer/linux/common/desktop.template
+
+ sed -ni \
+ -e 's/chromium-browser\.desktop/chromium.desktop/' \
+ -e '/<update_contact>/d' \
+ -e '/<p>/N;/<p>\n.*\(We invite\|Chromium supports Vorbis\)/,/<\/p>/d' \
+ -e '/^<?xml/,$p' \
+ chrome/installer/linux/common/chromium-browser/chromium-browser.appdata.xml
+
+ install -Dm644 chrome/installer/linux/common/desktop.template \
+ "$pkgdir"/usr/share/applications/chromium.desktop
+ install -Dm644 chrome/app/resources/manpage.1.in \
+ "$pkgdir"/usr/share/man/man1/chromium.1
+ install -Dm644 chrome/installer/linux/common/chromium-browser/chromium-browser.appdata.xml \
+ "$pkgdir"/usr/share/metainfo/chromium.appdata.xml
+}
+
+qt5() {
+ pkgdesc="chromium qt5 shim"
+
+ amove usr/lib/$pkgname/libqt5_shim.so
}
chromedriver() {
pkgdesc="WebDriver driver for the Chromium Browser"
depends="$pkgname=$pkgver-r$pkgrel"
- cd "$builddir"/out/$_buildtype
-
- mkdir -p "$subpkgdir"/usr/lib/$pkgname "$subpkgdir"/usr/bin
-
- install -Dm755 chromedriver "$subpkgdir"/usr/lib/$pkgname/chromedriver
- ln -sf /usr/lib/$pkgname/chromedriver "$subpkgdir"/usr/bin/
+ amove usr/lib/$pkgname/chromedriver \
+ usr/bin/chromedriver
}
lang() {
pkgdesc="Languages for package $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel lang"
- cd "$builddir"/out/$_buildtype
-
- for pak in locales/*.pak; do
- install -Dm644 "$pak" "$subpkgdir"/usr/lib/$pkgname/"$pak"
- done;
+ # Default to en-us and provide everything else through the chromium-lang package
+ amove usr/lib/$pkgname/locales/*.pak
- rm "$subpkgdir"/usr/lib/$pkgname/locales/en-US.pak
+ mkdir -p "$pkgdir"/usr/lib/$pkgname/locales
+ mv "$subpkgdir"/usr/lib/$pkgname/locales/en-US.pak \
+ "$pkgdir"/usr/lib/$pkgname/locales/
}
swiftshader() {
pkgdesc="Chromium web browser: CPU-based implementation of the Vulkan graphics API"
depends="$pkgname-angle=$pkgver-r$pkgrel"
- cd "$builddir"/out/$_buildtype
-
- install -Dm755 swiftshader/libEGL.so \
- "$subpkgdir"/usr/lib/$pkgname/swiftshader/libEGL.so
- install -Dm755 swiftshader/libGLESv2.so \
- "$subpkgdir"/usr/lib/$pkgname/swiftshader/libGLESv2.so
-}
-
-angle() {
- pkgdesc="Chromium web browser: ANGLE based hardware acceleration"
- depends=""
-
- cd "$builddir"/out/$_buildtype
-
- install -Dm755 libEGL.so "$subpkgdir"/usr/lib/$pkgname/libEGL.so
- install -Dm755 libGLESv2.so "$subpkgdir"/usr/lib/$pkgname/libGLESv2.so
+ amove usr/lib/$pkgname/libvk_swiftshader.so \
+ usr/lib/$pkgname/vk_swiftshader_icd.json
}
sha512sums="
-730e4a316fee4a5be1bf95301cf25c0c1d192ceeb661f051c1d74b7083fe928f1c5fd24c744cbbda6ef39c9edc64607a2621644e153e5e3de2201b5ac60e4d64 chromium-93.0.4577.82.tar.xz
-f554ccc5d8a5c066634357878c89944cc591809ea6f6c6ef5b35e970e9674e0b3be8fddb06c0d333ddc65211fa09ae5e0b4b483ca70048156c29607c5487c017 test_fonts-cd96fc55dc243f6c6f4cb63ad117cad6cd48dceb.tar.gz
-b9a810416dd7a8ffc3a5ced85ad9acebda1665bd08a57eec7b189698cc5f74d2c3fd69044e20fcb83297a43214b2772a1312b2c6122ea0eb716abacf39524d60 chromium-launcher.sh
-f6d962b9e4c22dd42183df3db5d3202dab33eccecafb1bf63ca678147289581262db1e5e64cbe8f9c212beefb0a6717bb8d311e497f56b55fe95b8bab2db493f chromium.conf
-e182c998a43d22d1c76a86c561619afd1fca8c2be668265ad5e2f81a3806f7a154272cc027a2f8b370fb69446892c69e5967a4be76082325c14245ee7915234c chromium.desktop
+3c13cbd65b11d187576dbf40665b4e43397e706fe43516dd280ad238519aa663c490a314ff43a1f2b41c1f757e3d9dbeeefe88e2d0cf312bb149c7737d8713fd chromium-124.0.6367.60.tar.xz
+6837910f964f337cb7d43a4482dcebe707957940f037cbc368133df6ba23207dab0061d28f120cdbc9f9fb992c6256cff8e92638f767c3bc36323fbcbf10aa17 chromium-124.0.6367.60-testdata.tar.xz
+bbc928e99ebcd4d953b982688b01526cb754bad018f67be9e777a4f8ac51cdd3e01374e5a63faf55b12e7cee0d52816c88062e012b5bcc4f9bb41f28d8e0b7f7 test_fonts-336e775eec536b2d785cc80eff6ac39051931286.tar.gz
+a6f400da98ee3ae30460fc8d79214a7aee5625b89a02817525e6ed5807956df52ecd5ba2a47e70caf102235266f1ff0be69402cca50799b67a2c3ad9cef1b2a4 copium-124.4.tar.gz
+1b16564f85a03f3eb934ec51289dc6159e2454202d40f48354f947d6ceffac8889e9eb4c0f4dfaafb3a15101566d54039f832bc9a8433c3c463e2d1dac2d2acc chromium-launcher.sh
+9cfcb41d69c5a515b6f9fe2a629579fa499e1f48eb58a0ce4ec8e5029d450bcafb6d963019aaac9a6838244bee9f9ba7fe5ef6146a0ca6b20fcda4ab7f059476 chromium.conf
2d8237a940ea691bd10b08315429677a587f7ef9692a0cca53bfd066eae82998a6c71f402a8669e9de39f94d7f3280745d1628ea6eac5d76ca7116844d4e0dac google-api.keys
-7a7efd7617b0f2950ccc75293639a7bf94c6325ca69705e7fe68b8b6f679f25d47d4a2b1206ee20e911789a38d0d9bf842b98dfd7b04c492122925fa69d27f1c default-pthread-stacksize.patch
-838debc14136707cb4209d5e00484392bcb06639a435c2d13e4062587cbe903ad851c9eba64c2b93263b5ed7b9e1eebec7565c844d59af74689fc0bf9138eabb musl-fixes.patch
-e8675aff9fccd8b58cc839ef1d9e0e022d66aa94f72baa72e7acf92ceb2691f6a7907cc60ec3a87f894efdd639a3dec7fe702c97d446fcdea99452caec57e002 musl-fixes-breakpad.patch
-798ed4cd9b6a1113200e5ad91073f6affebc66ed8c1bd56bc87ffbacf3117ee1fedd41889d75a2853291c01dfcc2e942b88a41209454fa359fc585b3cc2d906f musl-hacks.patch
-919f13a2cd65673f267321cf95c5410e65bc5264d6704d0791b25d39111282bedb425bd9824dde3b67422cfb874c86a9383ded686e39cfd4aac239edaf41cfc8 musl-libc++.patch
-ef43fa90b05e2407b6daa822193121cdeef6ee9068175572f0928f156f186be9c77539dfa06863adfaa25afd498ec1b5081f9e476543616f9472b9033fd921dc musl-sandbox.patch
-1762308e6d378fa299c841785405895545a44f71d78cd30500b0d220108d9748f2b4bb4200a82a96638ab380b8ef96bb02fe97c4092f510e20c320e4909447c6 no-execinfo.patch
-2b4708a5db420c8745d7f79e18f3c4e0043cdb7d6ded2a11060fbde2fb771ca8287048470e3bdce784d6c596d2e4ee164b9ba82b61681d114c13379ef9be0487 no-mallinfo.patch
-3a7810105c45c84563efb6c739d9fff8c3645ae70a168b2c47aa375c4d6960ba4287e339243cb8ec50809522ab40f57d8cc6f471ff4390b8aa747cc1a7af65aa resolver.patch
-f4265df7532625070c51ac43466e3e0f21e696f90c3b6040ef62a21defa7666203ff8219d9c9a5bebc011024aff300fbcbd941cebd0df59c4bc068d8f290221e swiftshader.patch
-9acaf25823b9245489bd1f04f77f529e8c69b3231d2d147fae86d140f0344029d28816e03b5705d23817fc30b97400d040d68ce13b68a5510432b5293b24cbcc chromium-use-alpine-target.patch
-599f5ef338b5797e04436bdc88921c31365d2dea2613d40053be6e774f654e2889efb0c0bd55c2c5044a6805510fbc337da555971169a75d584fac93e18256ac media-base.patch
-2e5a83826239849d096aead033eb519338b84e6fbbf58abfcd7cfe40d0b3070b66bcc825ec84406484d73d1a333f1b9d23a8ab44987ab5c8b187076c84cd668b musl-crashpad.patch
-556cc2ba28184a75745f13c673605327f5be590be179eb3f941dc0abded854a814e5da1432a28fb8d4dcdcd66ffd4c94ee1a8824d2cd93b632f48e9310dbc3fa musl-v8-monotonic-pthread-cont_timedwait.patch
-7957aae04e8ef3badbc98c982ba1acb1b9ef5e665440116c704512f11554d7b64ba3643b7ff7d00476a6686324033b0cf762deb78ce798619226380953b9dc9c nasm.patch
-56a357668c0928bc488ccec8f53fd37fccbaefe0a185ceaf067c8c39e0fae3d2b61ca010ccabc785bec0f2e86b19f37cebb3ac344225aa8d7651c822e48c6064 gcc-fno-delete-null-pointer-checks.patch
-ad4ddc25df7aa1de2038b7adb86d27679ecdb7e3e16c0eec994e947a08c41504b6fb41166f7868ff5f58ce8191c78800cbb91d259c864840fa5af1d7ba5d43a1 gcc-arm.patch
-cc67d2a77910663e5a1ad5f66606ee2544867aa1fef25e1a1bc355a8db765d5928edb72f158e6a2ece4195c9b62b875dcdcab4e4055e7611edab405e8cfd658e aarch64-fixes.patch
-9b1441fe42421ef9ead86a5143bf997d989bd53a8969cdfdf4e0c45f847efc8c1d127e15fb05e2ef5dbefbb228cbdc2849404d74997ca56265599e12e5efd6e4 elf-arm.patch
-51fabfc4725ab13f626653c1cc91a70df5e60477351ac1fe7f94bc9f1b1f8fb32d984ba4657f0384f53de620b7dd4aa154c6f2f104c4c42fcfe2f9721ba5ea1f remove-unsupported-attribute.patch
-11876fd8c1614ff394f9e0c07982caf50b70673a29432343c9bae3523144cba02e0e61cee76444780b5ab6680037a143f609ec8eba176c7c7bc20445cc6f5efb fix-missing-includes.patch
-2f976087c7f9b685d7526c6ccfe662ba642189b5044224e662e6965d9dfa5ba5b96f8bb7ebef1cb225356e7f63427288b42f12e9842d432164de9ac74642805a revert-2778794.patch
-1745907170ceacafcee9f18bb4d8c5b9f97f609fd0519058546827366612a1ea05df3ef2a6f581dbeac94f85a3e537a86bd887454ff335d5c148a34e1fcb4334 fix-narrowing-cast.patch
-b656e0714805a35f4fe1d727b8fb7b62c9f2ae0a29835130e211853a5472d58ab3dcae4f780c59249fe324143cfb9d41c441ed33ec7a7bc885afff8e8c62de70 use-deprecated-ffmpeg-api.patch
-6e88b89d9644e3c6e4ab88d79ec7c755c1db7cea0a396aa06236635202c129dbc4f41f2cceec76174437e3446a1135b8308b5b816ab138980934438d54b39bee clang-no-format.patch
-f2291a1fb233615cf0eb2e1fac61307a8e6dc1981eb60f3f4f91e4318dfbc2ce8d96660cd355d397882b06fe4d66a091247c9affc30e19d17190cfe3ac155352 disable-floc-component.patch
-0b88dfe4456966e51385af08a49840ca591f66812be37c708ec5473b9f6ee18964a069ab90b1e4d009938c91c693fd48bd3950bd73d75b95e70738f8fd691e87 fix-unittests-base.patch
-54f07ee9d85577e284e04460e79132fa6769251ceb045561cea811dde0369e9e4cdbcf26566235b0d12c649be4d46fea294f7c6a4e2a75109dc3282e6e7d7993 fix-unittests-sandbox.patch
-805319867214c997a262b0eee161c2efe9f46420b2d244083f186977c7ffa413526161682759fbfcc7bb5845bcf9624557c2f496dc560bd4d85ab71a9e47c305 fix-unittests-net.patch
-94d48612e98063f0b4589aadbc74d681170c0672df643d7e97485e947c92bf8437e7962323dc2940a4a36b7dcb009ed25d58654877e04644c13f9a9bd13ba99c fix-unittests-net-py2tests.patch
-8d11b2ba811fdd6280784bfafcef073238324941b4c33e7c9a5ccfde8506242d06e5136d697f047bab3838b43a666f1da404af7b4f4ff9a0c6bf6bdb8448e5b2 scoped-file.patch
-7ab510eb458c5e736237c8b0251b13677d78653c75cc693e54d0885695ce8578f65b5f96b95886c3993dcfa6987eac0c9f90309545b701005a8da20261033496 strip-binary.patch
-b2684e64c7fc248ab8ddbd942326353ecfa2fa4195d2b96434d9dae52e11dadb8d81f0ecc740d13232fd73324318d8b4831ea08ce788106ec762e53df545e743 gdbinit.patch
-18e642f377d5fe0c76271b7f316ee3c96304ebeb25d54cca2905bc70d676a8327594f0a11acef24be8a6994212974ac1779f1289b5d55a1c1ca2353e37516cb1 quiche-arena-size.patch
-6df3b63f41d42de7d2c49f703d521659eb14151f77d07b76b2056a0a1a113dd1b9fc0ba070e7749eb659d210cade6b1052fabad4132a7def0f2a1414dcb86d91 chromium-harfbuzz-3.0.0.patch
-f40566ae6a50ab522432f2c579d4825bb1ab38f8365166dd53fa4fb91f2f0eb77ccdd88c3078badd56531ed5f68f7d1dc4347f1f02c849379e41dada672c30e9 skia-harfbuzz-3.0.0.patch
+29bb685e03356a77df5fd347cdf55194cc8b3265c421cc76e54d64edefc329dbcb052deb26b22e8f587ce68456876c071de1b7d258dd0fcc6ee66c875ec4a020 chromium-revert-drop-of-system-java.patch
+54eb147c0af2ba096d1df375a289b339ee855ab1a9114e7c747753f0274a6bafb7212c1859b7885454c4529d9a5e3bd9559fc14e8e006f23ccd381895fa68d15 compiler.patch
+4057cc78f10bfd64092bc35a373869abb1d68b880cdbca70422f39ffd78a929c19c7728d4d4c40709aaba25581148a93ae5343e724849fd35323062ed68753fa disable-dns_config_service.patch
+111bc22fb704d97759988268a40d6b356c51b0bd7a8119a694e905ffe21850ff64e91566cd0dd0c9d62fcb46dca8acc821436c34eb0ba78be872ee4f7ec88a7b disable-failing-tests.patch
+5fc5c012c1db6cf1ba82f38c6f3f4f5ca3a209e47ac708a74de379b018e0649b7694877c9571ef79002dde875ffc07b458a3355425f1c01867f362c66c2bc1bf fc-cache-version.patch
+9200f78bad70e95c648a5e8392d50642190600f655c6baa366ff6467ebad52d3b3f305dad58f3610da67136f4b723557653b174ec5c25be8d8737ee04d9ee09f fix-missing-cstdint-include-musl.patch
+b24563e9a738c00fce7ff2fbdee3d7c024d9125d7c74d9ab90af6bdb16f7ec8419f2c8aa78c0640f6d5d81c17dc2c673a194401d354f466749672729b48ed068 fix-opus.patch
+c63dee5044353eb306a39ca1526158c0f003ab310ecb03d1c368dc2a979454590c84b8d3c15484517d5e66bb8add9b231da9abbadf2e50850abd72ac1345c4ab fstatat-32bit.patch
+33ee60863cc438ef57ffef92ba4cf67a856a5ffc16138bce241bcf87e47b15154aa86918e793c26f7ec4dc62a445257ad5673ed7001daf22c4043cf6cc57da7f gdbinit.patch
+36a764fa73443b47d38050b52dbe6ad2fa8d67201ff4ccdbad13b52308ef165ca046aac6f9609fe35890a6485f0f3e672e78cc41e3e44f3cdc7f145e540524e8 generic-sensor-include.patch
+8de65109ece27ea63bd469f2220c56b8c752ba0a50fdf390082a2d5ae74b8e010199126175569f6d5084270dd4e0571e68aec32c0bca8211a6699925b3a09124 import-version.patch
+53721a222c099a96f01ef437ef132055ea4b624f6dc08e6c09c9fa1d6bb88bab23a3c0a3ee6871edb2fb88b86d9a48bb1d7a0acb84cdd3fca268832d83c9e11f libstdc++13.patch
+e75f57ae34c97ca1caf15fa4b4106c6c1e79c31ed66869cf92ed9ea0c449886c9511e455047c17c1e9ad8b9a46ad4948511a4f2995a4b6030fb4d1c7ae21d038 mman.patch
+99bcc7dd485b404a90c606a96addab1d900852128d44fb8cea8acc7303189ef87c89a7b0e749fd0e10c5ef5f6bf1fadeb5c16a34503cab6a59938ce2653d887e musl-auxv.patch
+50c274a420bb8a7f14fcb56e40920dac8f708792a4520789b4987facea459bef88113d5a2b60fa8c57bee6e92bff3617d6b73fa305c8c44614c638971cffd440 musl-sandbox.patch
+e7163ac5810ac85366cef2447412287c856e3d67c6b77f219a6e5a418b1965b98e449c409424ad0704a5bded9355dd0aec3dc4585918ce5a2ab36c079707afe2 musl-tid-caching.patch
+92eb002718026611f5542362ad69b67f0a398ff71b3fca5c05d55cb5c6f9f29334e5e127bb4860cfaa3fba0f0d4c901e2b98808217e7dc02e254a64a5c9521aa musl-v8-monotonic-pthread-cont_timedwait.patch
+73bca6c6f9873f2f11cef04f3f41f71e0ae86e7e2d77e14db4298675fec390744c5081f6fdb14052e5ee2b5885be1198c3aa6068eb2b656d1a665c0c3f36e708 no-execinfo.patch
+8e17101d69e23b456a9c03dc2fe95bcd56846389707ba6f4720192a9e9168406d20d9168dbebbb3a47d921ec92e478f0e390f46e6b9bb43a34dda217c6e6448b no-mallinfo.patch
+e4c4e5bc6f828f9c883dd418c0ba01887949c29c311f76206a1ec29f620b0c0ba0452949dc2778a9c46ea066405857536964a36436a68eecf7da7952736333cf no-res-ninit-nclose.patch
+6dc4d8dc92e685dace62265a1ddb3aebc558aed54d20ff6d36b030be0c48d7e84662326c31363612492574d9a03c62653cdc21a60995b97dee1d75cae86a9f9b no-sandbox-settls.patch
+d4ac7f350806b4410ccb1df3b0ad7e90a7b6d724a16919761aa2d47a6f21008c7374da528b05b754ee712b85d23adfb113c7f7b9ca2ed5b47644fe3ea0cb9119 partalloc-no-tagging-arm64.patch
+8e1aca983890c78d81a6f888b2cf1aa42878d1f8523e87d63b800e1e468cbfd33e5ff6a0975775ca222fe82f30c6497da95505da01b091c8776a44c98ac86f0f perfetto-libstdc++.patch
+2eb434b4fc6aee77026492644cd86772a543d9845f112a75cd4c3e1f25c9435cc31f8454c1c73223451fc9be69b86e822ff68821978f67f2fc8bcba50296d8e0 pvalloc.patch
+803b8117c65132f76bec42054a4b2257a078b15b07fd08645fec2dfd51aa4e0075a9015300cd579d4ae0d757d9850b9988e080cfc2eea093f6684fdf82c4722c random-fixes.patch
+86f612dd2b39602984a75b1b11c2ab8bc8cc6b4e78fae998570a777a6901ae45fdcdb22e46dd006dab703a0674e64c72cf8120af2dc5b9e78004f402c7e65358 quiche-array.patch
+b3beb98b539fe160fbc493ba410ae0f68540cc4b6834f1f8ce9a22c3f4f59ef5d583ad48793e10549fd02a701f833a3969791ef4524322cd1e715ca5bf226bc8 system-zstd.patch
+e48693e6b7aeebf69a5acbf80d9a35defe4c23835121dfeb58b051ac7c527e758a41004f4d193274fe1b01c0bfb1dbc77b09cb6a404a3fdee507a2918afb0edb temp-failure-retry.patch
+914ccf649d7771f19f209ab97f99c481aebc6f66174d68e8b539f6ad4a70bc8cb0fae2df6dadbf0415958ffb3574c420fe029079dcce45f5e5add4db2e903566 yes-musl.patch
"